<ion-content [fullscreen]="true" [scrollEvents]="true" (ionScroll)="logScrolling($event)">
    <div id="container">
        <div class="container mx-auto max-w-screen-xl mt-28 px-3 md:px-0" [ngClass]="cartItemsNo>0 ? 'md:mt-52' : 'md:mt-40'">
            <div class="flex flex-wrap items-center" style="color: #707070;">
                <a routerLink="/home" class="hover:text-black">Trang chủ&nbsp; </a>
                <ion-icon name="chevron-forward-outline"> </ion-icon>
                <a class="text-black">&nbsp;Liên hệ&nbsp;</a>
            </div>
        </div>
        <div class="container mx-auto max-w-screen-lg mb-10">
            <form [formGroup]="contactForm" #formDirective="ngForm">
                <section class="container my-8">
                    <div class="grid grid-cols-12 gap-8">
                        <div class="md:col-span-6 col-span-12 md:border-r md:px-0 px-4" style="border-color: #DDDDDD;">
                            <div class="text-3xl font-medium text-center md:text-left capitalize">
                                Liên hệ
                            </div>
                            <div class="pt-8 md:pt-5 md:text-xl md:pr-4">
                                <p> Địa chỉ của chúng tôi: </p>
                                <a class="font-medium flex flex-wrap">
                                    <div>
                                        180 Trần Hưng Đạo,&nbsp;
                                    </div>
                                    <div>
                                        Phường Nguyễn Cư Trinh,&nbsp;
                                    </div>
                                    <div>
                                        Quận 1,&nbsp;
                                    </div>
                                    <div>
                                        Hồ Chí Minh
                                    </div>
                                </a>
                            </div>
                            <div class="pt-8 md:text-xl">
                                <p> Số điện thoại của chúng tôi: </p>
                                <a class="font-medium" href="tel:+84906789543">
                                    090679543
                                </a>
                            </div>
                            <div class="md:text-xl pt-8">
                                <p> Email của chúng tôi: </p>
                                <p class="font-medium">info@haisanhoanggia.com</p>
                            </div>
                        </div>

                        <div  class="md:col-span-6 col-span-12 md:px-0 px-4">
                                <div class="text-3xl font-medium text-center md:text-left capitalize md:whitespace-nowrap">
                                    Đăng ký tư vấn từ 
                                   <span class="whitespace-nowrap">
                                    Hải Sản Hoàng Gia
                                   </span> 
                                </div>
                                <div class="grid grid-cols-12 md:gap-x-8">
                                    <mat-form-field class="col-span-12 pt-6 md:pt-3">
                                        <mat-label>Họ và tên quý khách</mat-label>
                                        <input matInput formControlName="firstName" placeholder="Họ và tên quý khách" class="focus:ring-0" required />
                                    </mat-form-field>
                                    <mat-form-field class="col-span-12 md:col-span-6" appearance="outline">
                                        <mat-label>Số điện thoại</mat-label>
                                        <input matInput placeholder="Số điện thoại" formControlName="phone" required class="focus:ring-0" />
                                        <mat-error *ngIf="
                                          contactForm.hasError('minlength', 'phone') &&
                                          !contactForm.hasError('pattern', 'phone')
                                      ">
                                            {{ 'EDIT.phone.minlength' | translate }}
                                        </mat-error>
                                        <mat-error *ngIf="
                                          contactForm.hasError('maxlength', 'phone') &&
                                          !contactForm.hasError('pattern', 'phone')
                                      ">
                                            {{ 'EDIT.phone.maxlength' | translate }}
                                        </mat-error>
                                        <mat-error *ngIf="contactForm.hasError('pattern', 'phone')">
                                            {{ 'EDIT.phone.pattern' | translate }}
                                        </mat-error>
                                    </mat-form-field>
                                    <mat-form-field class="col-span-12 md:col-span-6" appearance="outline">
                                        <mat-label>Email</mat-label>
                                        <input matInput type="text" placeholder="Email" formControlName="email" required class="focus:ring-0"/>
                                    </mat-form-field>
                                    <mat-form-field class="col-span-12 " appearance="outline">
                                        <mat-label>Tiêu đề</mat-label>
                                        <input matInput type="text" placeholder="Tiêu đề" formControlName="subject" required class="focus:ring-0" />
                                    </mat-form-field>
                                    <mat-form-field class="col-span-12" appearance="outline">
                                        <mat-label>Nội dung cần tư vấn</mat-label>
                                        <textarea matInput cdkTextareaAutosize placeholder="Nội dung cần tư vấn" required class="focus:ring-0"
                                            [matTextareaAutosize]="false" cdkAutosizeMinRows="5" cdkAutosizeMaxRows="5"
                                            formControlName="message"></textarea>
                                    </mat-form-field>
                                </div>
                                <div class="w-full text-center">
                                    <button mat-raised-button type="submit" class="w-52"
                                        (click)="onSubmitForm()">
                                        Đăng ký tư vấn
                                    </button>
                                </div>

                        </div>
                    </div>
                </section>
            </form>
        </div>
        <div>
            <button  *ngIf="isShowBackToTop" class="fixed  right-12 md:bottom-4 md:right-28 z-50 w-10 h-10 md:w-12 md:h-12 rounded-full bg-main text-white" (click)="scrollToTop()"
                    style="border: 1px solid whitesmoke" [ngClass]="cartItemsNo>0 ? 'bottom-28' : 'bottom-16'">
                    <mat-icon class="pt-1" matTooltip="Trở về đầu trang">keyboard_arrow_up</mat-icon>
            </button>
          </div>
        <app-footer></app-footer>
    </div>
</ion-content>